import { Surfaces } from "../../surfaces.js";
import { z } from "zod";
export declare const UI_EXTENSION_HOST_INITIALIZE_EVENT_TYPE = "NF::EUI_HOST::INITIALIZE";
export declare const UIExtensionHostInitializeEventSchema: z.ZodObject<{
    type: z.ZodLiteral<"NF::EUI_HOST::INITIALIZE">;
    data: z.ZodObject<{
        context: z.ZodDiscriminatedUnion<"surface", [z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<Surfaces.TeamConfiguration>;
            siteId: z.ZodNull;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.TeamConfiguration;
            siteId: null;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.TeamConfiguration;
            siteId: null;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<Surfaces.ConnectConfiguration>;
            configurationId: z.ZodNullable<z.ZodString>;
            dataLayerId: z.ZodNullable<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.ConnectConfiguration;
            configurationId: string | null;
            dataLayerId: string | null;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.ConnectConfiguration;
            configurationId: string | null;
            dataLayerId: string | null;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<Surfaces.SiteAccessConfiguration>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteAccessConfiguration;
            siteId: string;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteAccessConfiguration;
            siteId: string;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<Surfaces.SiteBuildDeployConfiguration>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<Surfaces.SiteGeneralConfiguration>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteGeneralConfiguration;
            siteId: string;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteGeneralConfiguration;
            siteId: string;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<Surfaces.SiteNotificationsConfiguration>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<Surfaces.SiteConfiguration>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteConfiguration;
            siteId: string;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteConfiguration;
            siteId: string;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<Surfaces.VisualEditorConfiguration>;
            configurationId: z.ZodNullable<z.ZodString>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId: string | null;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId: string | null;
        }>]>;
        extension: z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            slug: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
            slug: string;
        }, {
            id: string;
            name: string;
            slug: string;
        }>;
        surface: z.ZodObject<{
            name: z.ZodNativeEnum<typeof Surfaces>;
        }, "strip", z.ZodTypeAny, {
            name: Surfaces;
        }, {
            name: Surfaces;
        }>;
    }, "strip", z.ZodTypeAny, {
        surface: {
            name: Surfaces;
        };
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.TeamConfiguration;
            siteId: null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.ConnectConfiguration;
            configurationId: string | null;
            dataLayerId: string | null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteAccessConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteGeneralConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId: string | null;
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
    }, {
        surface: {
            name: Surfaces;
        };
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.TeamConfiguration;
            siteId: null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.ConnectConfiguration;
            configurationId: string | null;
            dataLayerId: string | null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteAccessConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteGeneralConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId: string | null;
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
    }>;
}, "strip", z.ZodTypeAny, {
    data: {
        surface: {
            name: Surfaces;
        };
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.TeamConfiguration;
            siteId: null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.ConnectConfiguration;
            configurationId: string | null;
            dataLayerId: string | null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteAccessConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteGeneralConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId: string | null;
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
    };
    type: "NF::EUI_HOST::INITIALIZE";
}, {
    data: {
        surface: {
            name: Surfaces;
        };
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.TeamConfiguration;
            siteId: null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.ConnectConfiguration;
            configurationId: string | null;
            dataLayerId: string | null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteAccessConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteGeneralConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId: string | null;
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
    };
    type: "NF::EUI_HOST::INITIALIZE";
}>;
export type UIExtensionHostInitializeEvent = z.output<typeof UIExtensionHostInitializeEventSchema>;
export declare const createUIExtensionHostInitializeEvent: (data: UIExtensionHostInitializeEvent["data"]) => UIExtensionHostInitializeEvent;
//# sourceMappingURL=initialize.d.ts.map