import { z } from "zod";
export * from "./initialize.js";
export * from "./request_dimensions.js";
export * from "./update_context.js";
export declare const UIExtensionHostEventSchema: z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
    type: z.ZodLiteral<"NF::EUI_HOST::INITIALIZE">;
    data: z.ZodObject<{
        context: z.ZodDiscriminatedUnion<"surface", [z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.TeamConfiguration>;
            siteId: z.ZodNull;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.TeamConfiguration;
            siteId: null;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.TeamConfiguration;
            siteId: null;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.ConnectConfiguration>;
            configurationId: z.ZodNullable<z.ZodString>;
            dataLayerId: z.ZodNullable<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.ConnectConfiguration;
            configurationId: string | null;
            dataLayerId: string | null;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.ConnectConfiguration;
            configurationId: string | null;
            dataLayerId: string | null;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.SiteAccessConfiguration>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteAccessConfiguration;
            siteId: string;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteAccessConfiguration;
            siteId: string;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.SiteBuildDeployConfiguration>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.SiteGeneralConfiguration>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteGeneralConfiguration;
            siteId: string;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteGeneralConfiguration;
            siteId: string;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.SiteNotificationsConfiguration>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.SiteConfiguration>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteConfiguration;
            siteId: string;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteConfiguration;
            siteId: string;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.VisualEditorConfiguration>;
            configurationId: z.ZodNullable<z.ZodString>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId: string | null;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId: string | null;
        }>]>;
        extension: z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            slug: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
            slug: string;
        }, {
            id: string;
            name: string;
            slug: string;
        }>;
        surface: z.ZodObject<{
            name: z.ZodNativeEnum<typeof import("../../surfaces.js").Surfaces>;
        }, "strip", z.ZodTypeAny, {
            name: import("../../surfaces.js").Surfaces;
        }, {
            name: import("../../surfaces.js").Surfaces;
        }>;
    }, "strip", z.ZodTypeAny, {
        surface: {
            name: import("../../surfaces.js").Surfaces;
        };
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.TeamConfiguration;
            siteId: null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.ConnectConfiguration;
            configurationId: string | null;
            dataLayerId: string | null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteAccessConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteGeneralConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId: string | null;
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
    }, {
        surface: {
            name: import("../../surfaces.js").Surfaces;
        };
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.TeamConfiguration;
            siteId: null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.ConnectConfiguration;
            configurationId: string | null;
            dataLayerId: string | null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteAccessConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteGeneralConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId: string | null;
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
    }>;
}, "strip", z.ZodTypeAny, {
    data: {
        surface: {
            name: import("../../surfaces.js").Surfaces;
        };
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.TeamConfiguration;
            siteId: null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.ConnectConfiguration;
            configurationId: string | null;
            dataLayerId: string | null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteAccessConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteGeneralConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId: string | null;
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
    };
    type: "NF::EUI_HOST::INITIALIZE";
}, {
    data: {
        surface: {
            name: import("../../surfaces.js").Surfaces;
        };
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.TeamConfiguration;
            siteId: null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.ConnectConfiguration;
            configurationId: string | null;
            dataLayerId: string | null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteAccessConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteGeneralConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId: string | null;
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
    };
    type: "NF::EUI_HOST::INITIALIZE";
}>, z.ZodObject<{
    type: z.ZodLiteral<"NF::EUI_HOST::REQUEST_DIMENSIONS">;
    data: z.ZodDefault<z.ZodOptional<z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>>>;
}, "strip", z.ZodTypeAny, {
    data: {};
    type: "NF::EUI_HOST::REQUEST_DIMENSIONS";
}, {
    type: "NF::EUI_HOST::REQUEST_DIMENSIONS";
    data?: {} | undefined;
}>, z.ZodObject<{
    type: z.ZodLiteral<"NF::EUI_HOST::UPDATE_CONTEXT">;
    data: z.ZodObject<{
        context: z.ZodDiscriminatedUnion<"surface", [z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.TeamConfiguration>;
            siteId: z.ZodNull;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.TeamConfiguration;
            siteId: null;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.TeamConfiguration;
            siteId: null;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.ConnectConfiguration>;
            configurationId: z.ZodNullable<z.ZodString>;
            dataLayerId: z.ZodNullable<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.ConnectConfiguration;
            configurationId: string | null;
            dataLayerId: string | null;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.ConnectConfiguration;
            configurationId: string | null;
            dataLayerId: string | null;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.SiteAccessConfiguration>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteAccessConfiguration;
            siteId: string;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteAccessConfiguration;
            siteId: string;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.SiteBuildDeployConfiguration>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.SiteGeneralConfiguration>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteGeneralConfiguration;
            siteId: string;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteGeneralConfiguration;
            siteId: string;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.SiteNotificationsConfiguration>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.SiteConfiguration>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteConfiguration;
            siteId: string;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteConfiguration;
            siteId: string;
        }>, z.ZodObject<{
            auth: z.ZodObject<{
                netlifyToken: z.ZodNullable<z.ZodString>;
                providerToken: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                netlifyToken: string | null;
                providerToken: string | null;
            }, {
                netlifyToken: string | null;
                providerToken: string | null;
            }>;
            teamId: z.ZodString;
            theme: z.ZodEnum<["light", "dark"]>;
            surface: z.ZodLiteral<import("../../surfaces.js").Surfaces.VisualEditorConfiguration>;
            configurationId: z.ZodNullable<z.ZodString>;
            siteId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId: string | null;
        }, {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId: string | null;
        }>]>;
    }, "strip", z.ZodTypeAny, {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.TeamConfiguration;
            siteId: null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.ConnectConfiguration;
            configurationId: string | null;
            dataLayerId: string | null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteAccessConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteGeneralConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId: string | null;
        };
    }, {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.TeamConfiguration;
            siteId: null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.ConnectConfiguration;
            configurationId: string | null;
            dataLayerId: string | null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteAccessConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteGeneralConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId: string | null;
        };
    }>;
}, "strip", z.ZodTypeAny, {
    data: {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.TeamConfiguration;
            siteId: null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.ConnectConfiguration;
            configurationId: string | null;
            dataLayerId: string | null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteAccessConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteGeneralConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId: string | null;
        };
    };
    type: "NF::EUI_HOST::UPDATE_CONTEXT";
}, {
    data: {
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.TeamConfiguration;
            siteId: null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.ConnectConfiguration;
            configurationId: string | null;
            dataLayerId: string | null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteAccessConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteGeneralConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.SiteConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: import("../../surfaces.js").Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId: string | null;
        };
    };
    type: "NF::EUI_HOST::UPDATE_CONTEXT";
}>]>;
export type UIExtensionHostEvent = z.output<typeof UIExtensionHostEventSchema>;
export type UIExtensionHostEventType = UIExtensionHostEvent["type"];
//# sourceMappingURL=main.d.ts.map