import fc from "fast-check";
import { Surfaces } from "../surfaces.js";
import { type UIExtensionHostInitializeEvent } from "./main.js";
export declare const SurfaceArbitrary: fc.Arbitrary<Surfaces>;
export declare const UIExtensionHostInitializeEventDataContextAuthArbitrary: fc.Arbitrary<{
    netlifyToken: string | null;
    providerToken: string | null;
}>;
export declare const UIExtensionHostInitializeEventDataContextThemeArbitrary: fc.Arbitrary<"light" | "dark">;
export declare const UIExtensionHostInitializeEventDataContextArbitrary: fc.Arbitrary<{
    surface: Surfaces.TeamConfiguration;
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    siteId: null;
    teamId: string;
    theme: "light" | "dark";
} | {
    surface: Surfaces.ConnectConfiguration;
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    configurationId: string | null;
    dataLayerId: string | null;
    siteId: null;
    teamId: string;
    theme: "light" | "dark";
} | {
    surface: Surfaces.SiteAccessConfiguration;
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    siteId: string;
    teamId: string;
    theme: "light" | "dark";
} | {
    surface: Surfaces.SiteBuildDeployConfiguration;
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    siteId: string;
    teamId: string;
    theme: "light" | "dark";
} | {
    surface: Surfaces.SiteGeneralConfiguration;
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    siteId: string;
    teamId: string;
    theme: "light" | "dark";
} | {
    surface: Surfaces.SiteNotificationsConfiguration;
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    siteId: string;
    teamId: string;
    theme: "light" | "dark";
} | {
    surface: Surfaces.SiteConfiguration;
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    siteId: string;
    teamId: string;
    theme: "light" | "dark";
} | {
    surface: Surfaces.VisualEditorConfiguration;
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    configurationId: string | null;
    siteId: string;
    teamId: string;
    theme: "light" | "dark";
}>;
export declare const UIExtensionHostInitializeEventDataExtensionArbitrary: fc.Arbitrary<{
    id: string;
    name: string;
    slug: string;
}>;
export declare const UIExtensionHostInitializeEventDataSurfaceArbitrary: fc.Arbitrary<{
    name: Surfaces;
}>;
export declare const UIExtensionHostInitializeEventDataArbitrary: fc.Arbitrary<{
    surface: {
        name: Surfaces;
    };
    context: {
        auth: {
            netlifyToken: string | null;
            providerToken: string | null;
        };
        teamId: string;
        theme: "light" | "dark";
        surface: Surfaces.TeamConfiguration;
        siteId: null;
    } | {
        auth: {
            netlifyToken: string | null;
            providerToken: string | null;
        };
        teamId: string;
        theme: "light" | "dark";
        surface: Surfaces.ConnectConfiguration;
        configurationId: string | null;
        dataLayerId: string | null;
    } | {
        auth: {
            netlifyToken: string | null;
            providerToken: string | null;
        };
        teamId: string;
        theme: "light" | "dark";
        surface: Surfaces.SiteAccessConfiguration;
        siteId: string;
    } | {
        auth: {
            netlifyToken: string | null;
            providerToken: string | null;
        };
        teamId: string;
        theme: "light" | "dark";
        surface: Surfaces.SiteBuildDeployConfiguration;
        siteId: string;
    } | {
        auth: {
            netlifyToken: string | null;
            providerToken: string | null;
        };
        teamId: string;
        theme: "light" | "dark";
        surface: Surfaces.SiteGeneralConfiguration;
        siteId: string;
    } | {
        auth: {
            netlifyToken: string | null;
            providerToken: string | null;
        };
        teamId: string;
        theme: "light" | "dark";
        surface: Surfaces.SiteNotificationsConfiguration;
        siteId: string;
    } | {
        auth: {
            netlifyToken: string | null;
            providerToken: string | null;
        };
        teamId: string;
        theme: "light" | "dark";
        surface: Surfaces.SiteConfiguration;
        siteId: string;
    } | {
        auth: {
            netlifyToken: string | null;
            providerToken: string | null;
        };
        teamId: string;
        theme: "light" | "dark";
        surface: Surfaces.VisualEditorConfiguration;
        siteId: string;
        configurationId: string | null;
    };
    extension: {
        id: string;
        name: string;
        slug: string;
    };
}>;
export declare const UIExtensionHostInitializeEventArbitrary: fc.Arbitrary<{
    data: {
        surface: {
            name: Surfaces;
        };
        context: {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.TeamConfiguration;
            siteId: null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.ConnectConfiguration;
            configurationId: string | null;
            dataLayerId: string | null;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteAccessConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteBuildDeployConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteGeneralConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteNotificationsConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.SiteConfiguration;
            siteId: string;
        } | {
            auth: {
                netlifyToken: string | null;
                providerToken: string | null;
            };
            teamId: string;
            theme: "light" | "dark";
            surface: Surfaces.VisualEditorConfiguration;
            siteId: string;
            configurationId: string | null;
        };
        extension: {
            id: string;
            name: string;
            slug: string;
        };
    };
    type: "NF::EUI_HOST::INITIALIZE";
}>;
export declare const createMockUIExtensionHostInitializeEvent: (overrides?: Partial<UIExtensionHostInitializeEvent>) => UIExtensionHostInitializeEvent;
//# sourceMappingURL=mocks.d.ts.map