import fc from "fast-check";
import { Surfaces } from "../surfaces.js";
import { parseNonUndefined } from "../utils/parsers.js";
import { UI_EXTENSION_HOST_INITIALIZE_EVENT_TYPE, } from "./main.js";
export const SurfaceArbitrary = fc.constantFrom(...Object.values(Surfaces));
export const UIExtensionHostInitializeEventDataContextAuthArbitrary = fc.record({
    netlifyToken: fc.hexaString({ minLength: 1 }),
    providerToken: fc.hexaString({ minLength: 1 }),
});
export const UIExtensionHostInitializeEventDataContextThemeArbitrary = fc.constantFrom("light", "dark");
export const UIExtensionHostInitializeEventDataContextArbitrary = fc.oneof(fc.record({
    surface: fc.constant(Surfaces.TeamConfiguration),
    auth: UIExtensionHostInitializeEventDataContextAuthArbitrary,
    siteId: fc.constant(null),
    teamId: fc.hexaString({ minLength: 1 }),
    theme: UIExtensionHostInitializeEventDataContextThemeArbitrary,
}), fc.record({
    surface: fc.constant(Surfaces.ConnectConfiguration),
    auth: UIExtensionHostInitializeEventDataContextAuthArbitrary,
    configurationId: fc.oneof(fc.constant(null), fc.hexaString({ minLength: 1 })),
    dataLayerId: fc.oneof(fc.constant(null), fc.hexaString({ minLength: 1 })),
    siteId: fc.constant(null),
    teamId: fc.hexaString({ minLength: 1 }),
    theme: UIExtensionHostInitializeEventDataContextThemeArbitrary,
}), fc.record({
    surface: fc.constant(Surfaces.SiteAccessConfiguration),
    auth: UIExtensionHostInitializeEventDataContextAuthArbitrary,
    siteId: fc.hexaString({ minLength: 1 }),
    teamId: fc.hexaString({ minLength: 1 }),
    theme: UIExtensionHostInitializeEventDataContextThemeArbitrary,
}), fc.record({
    surface: fc.constant(Surfaces.SiteBuildDeployConfiguration),
    auth: UIExtensionHostInitializeEventDataContextAuthArbitrary,
    siteId: fc.hexaString({ minLength: 1 }),
    teamId: fc.hexaString({ minLength: 1 }),
    theme: UIExtensionHostInitializeEventDataContextThemeArbitrary,
}), fc.record({
    surface: fc.constant(Surfaces.SiteGeneralConfiguration),
    auth: UIExtensionHostInitializeEventDataContextAuthArbitrary,
    siteId: fc.hexaString({ minLength: 1 }),
    teamId: fc.hexaString({ minLength: 1 }),
    theme: UIExtensionHostInitializeEventDataContextThemeArbitrary,
}), fc.record({
    surface: fc.constant(Surfaces.SiteNotificationsConfiguration),
    auth: UIExtensionHostInitializeEventDataContextAuthArbitrary,
    siteId: fc.hexaString({ minLength: 1 }),
    teamId: fc.hexaString({ minLength: 1 }),
    theme: UIExtensionHostInitializeEventDataContextThemeArbitrary,
}), fc.record({
    surface: fc.constant(Surfaces.SiteConfiguration),
    auth: UIExtensionHostInitializeEventDataContextAuthArbitrary,
    siteId: fc.hexaString({ minLength: 1 }),
    teamId: fc.hexaString({ minLength: 1 }),
    theme: UIExtensionHostInitializeEventDataContextThemeArbitrary,
}), fc.record({
    surface: fc.constant(Surfaces.VisualEditorConfiguration),
    auth: UIExtensionHostInitializeEventDataContextAuthArbitrary,
    configurationId: fc.oneof(fc.constant(null), fc.hexaString({ minLength: 1 })),
    siteId: fc.hexaString({ minLength: 1 }),
    teamId: fc.hexaString({ minLength: 1 }),
    theme: UIExtensionHostInitializeEventDataContextThemeArbitrary,
}));
export const UIExtensionHostInitializeEventDataExtensionArbitrary = fc.record({
    id: fc.hexaString({ minLength: 1 }),
    name: fc.hexaString({ minLength: 1 }),
    slug: fc.hexaString({ minLength: 1 }),
});
export const UIExtensionHostInitializeEventDataSurfaceArbitrary = fc.record({
    name: SurfaceArbitrary,
});
export const UIExtensionHostInitializeEventDataArbitrary = fc.record({
    context: UIExtensionHostInitializeEventDataContextArbitrary,
    extension: UIExtensionHostInitializeEventDataExtensionArbitrary,
    surface: UIExtensionHostInitializeEventDataSurfaceArbitrary,
});
export const UIExtensionHostInitializeEventArbitrary = fc.record({
    type: fc.constant(UI_EXTENSION_HOST_INITIALIZE_EVENT_TYPE),
    data: UIExtensionHostInitializeEventDataArbitrary,
});
export const createMockUIExtensionHostInitializeEvent = (overrides = {}) => {
    return Object.assign(Object.assign({}, parseNonUndefined(fc.sample(UIExtensionHostInitializeEventArbitrary, 1)[0])), overrides);
};
//# sourceMappingURL=mocks.js.map