import fc from "fast-check";
import { type NetlifySDK } from "./sdk.js";
export declare const NetlifySDKContextArbitrary: fc.Arbitrary<{
    surface: import("../surfaces.js").Surfaces.TeamConfiguration;
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    siteId: null;
    teamId: string;
    theme: "light" | "dark";
} | {
    surface: import("../surfaces.js").Surfaces.ConnectConfiguration;
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    configurationId: string | null;
    dataLayerId: string | null;
    siteId: null;
    teamId: string;
    theme: "light" | "dark";
} | {
    surface: import("../surfaces.js").Surfaces.SiteAccessConfiguration;
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    siteId: string;
    teamId: string;
    theme: "light" | "dark";
} | {
    surface: import("../surfaces.js").Surfaces.SiteBuildDeployConfiguration;
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    siteId: string;
    teamId: string;
    theme: "light" | "dark";
} | {
    surface: import("../surfaces.js").Surfaces.SiteGeneralConfiguration;
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    siteId: string;
    teamId: string;
    theme: "light" | "dark";
} | {
    surface: import("../surfaces.js").Surfaces.SiteNotificationsConfiguration;
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    siteId: string;
    teamId: string;
    theme: "light" | "dark";
} | {
    surface: import("../surfaces.js").Surfaces.SiteConfiguration;
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    siteId: string;
    teamId: string;
    theme: "light" | "dark";
} | {
    surface: import("../surfaces.js").Surfaces.VisualEditorConfiguration;
    auth: {
        netlifyToken: string | null;
        providerToken: string | null;
    };
    configurationId: string | null;
    siteId: string;
    teamId: string;
    theme: "light" | "dark";
}>;
export declare const NetlifySDKExtensionArbitrary: fc.Arbitrary<{
    id: string;
    name: string;
    slug: string;
}>;
export declare const NetlifySDKRoutingArbitrary: fc.Arbitrary<{
    to: (locationDescriptor: string | {
        hash?: string | undefined;
        pathname?: string | undefined;
        search?: string | undefined;
    }) => void;
}>;
export declare const NetlifySDKSurfaceArbitrary: fc.Arbitrary<{
    is: (value: string) => boolean;
    name: import("../surfaces.js").Surfaces | null;
}>;
export declare const NetlifySDKArbitrary: fc.Arbitrary<{
    listen: () => void;
    onChange: (callback: () => void) => () => void;
    beginProviderAuthFlow: () => Promise<void>;
    disconnectProviderAuth: () => Promise<void>;
    context: import("./schema.js").SDKContext;
    extension: {
        id: string;
        name: string;
        slug: string;
    };
    requestDimensions: (dimensions: {
        height: number;
        width: number;
    }) => void;
    routing: {
        to: (locationDescriptor: string | {
            hash?: string | undefined;
            pathname?: string | undefined;
            search?: string | undefined;
        }) => void;
    };
    surface: {
        is: (value: string) => boolean;
        name: import("../surfaces.js").Surfaces | null;
    };
}>;
export declare const createMockNetlifySDK: (overrides?: Partial<NetlifySDK>) => NetlifySDK;
//# sourceMappingURL=mocks.d.ts.map