import { type MessageChannel } from "../message_channel/main.js";
import { type UIExtensionHostEvent, type UIExtensionSurfaceEvent } from "../message_schema/main.js";
import { Surfaces } from "../surfaces.js";
import { type SDKContext } from "./schema.js";
export interface NetlifySDK {
    listen: () => void;
    onChange: (callback: () => void) => () => void;
    beginProviderAuthFlow: () => Promise<void>;
    disconnectProviderAuth: () => Promise<void>;
    context: SDKContext;
    extension: {
        id: string;
        name: string;
        slug: string;
    };
    requestDimensions: (dimensions: {
        height: number;
        width: number;
    }) => void;
    routing: {
        to: (locationDescriptor: string | {
            hash?: string | undefined;
            pathname?: string | undefined;
            search?: string | undefined;
        }) => void;
    };
    surface: {
        is: (value: string) => boolean;
        name: Surfaces | null;
    };
}
export type InitializeSDKOptions = {
    /**
     * A messaging channel used to communicate between the SDK consumer and the host frame.
     */
    messageChannel: MessageChannel<UIExtensionHostEvent, UIExtensionSurfaceEvent>;
};
export declare const initializeSDK: ({ messageChannel, }: InitializeSDKOptions) => Promise<NetlifySDK>;
//# sourceMappingURL=sdk.d.ts.map